Package org.postgresql.util

# Class StreamWrapper

java.lang.Object
org.postgresql.util.StreamWrapper

public class StreamWrapper extends Object
Wrapper around a length-limited InputStream.

## Constructor Summary

Constructors
Constructor
Description
`StreamWrapper(byte[] data, int offset, int length)`
`StreamWrapper(InputStream stream)`
`StreamWrapper(InputStream stream, int length)`

## Method Summary

Modifier and Type
Method
Description
`byte @Nullable []`
`getBytes()`
`int`
`getLength()`
`int`
`getOffset()`
`InputStream`
`getStream()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StreamWrapper

public StreamWrapper(byte[] data, int offset, int length)

### StreamWrapper

public StreamWrapper(InputStream stream, int length)

### StreamWrapper

public StreamWrapper(InputStream stream) throws PSQLException

Throws:
  `PSQLException`

## Method Details

### getStream

public InputStream getStream()

### getLength

public int getLength()

### getOffset

public int getOffset()

### getBytes

public byte @Nullable [] getBytes()

### toString

public String toString()

Overrides:
  `toString` in class `Object`